// Parameters.cpp: implementation of the CParameters class.
//
//////////////////////////////////////////////////////////////////////
#include <string>
#include <fstream>
using namespace std;

#include "Parameters.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

//*****************************************************************************
//* Here I set default values to my static variables
//*****************************************************************************
string CParameters::m_ProgramName = "Undefined";
int CParameters::m_Version = 0;

//*****************************************************************************
//* Here I invoke my constructor and load my variables
//*****************************************************************************
CParameters CParameters::instance = CParameters();

//*****************************************************************************
//* Since this is a private method it can only be invoked by the previous line
//*****************************************************************************
CParameters::CParameters()
{
	load("default.dat");
}

//*****************************************************************************
//* No cleanup required since we didn't make anything on the heap
//*****************************************************************************
CParameters::~CParameters()
{

}

//*****************************************************************************
//* I put this in to change the values after the program has started.  Mind you
//* in my case this was unnecessary.
//*****************************************************************************
void CParameters::load(string fileName)
{
	ifstream in(fileName.c_str(), ios::in);	// Open the parameters file
	
	if (in)									// Did it open?
	{
		in >> m_Version >> m_ProgramName;	// Yes, load up our data
		in.close();							// now, close the file
	}
}

//*****************************************************************************
//* Access methods incase you don't want to make your static variable public
//*****************************************************************************
int CParameters::getVersion()
{
	return m_Version;
}

string CParameters::getName()
{
	return m_ProgramName.c_str();
}
